Use this API to return a list of the condition types that can be used to match users when mappings are run.
Use the Condition Value when creating or updating User Mappings.
The list of conditions will also include any Custom Attributes that have been defined in a OneLogin account.
Resource URL
https://<subdomain>.onelogin.com/api/2/mappings/conditionsHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Sample Responses
- 200 OK
- 401 Unauthorized
[
{
"name": "MemberOf",
"value": "member_of"
},
{
"name": "employee_id",
"value": "custom_attribute_employee_id"
},
...
]Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Response Elements
name | The name of the Condition. |
value | The unique identifier of the condition. This should be used when defining conditions for a User Mapping. |
Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
List Mapping Conditions
curl 'https://<subdomain>.onelogin.com/api/2/mappings/conditions' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.